コンテンツへスキップ

V2.0

アップロードされた画像からスカーフのバーチャル試着を生成します。服装と背景を制御するためのスタイルパラメータをサポートしています。

スカーフバーチャル試着タスクを実行します。

リクエスト

このエンドポイントは、スカーフバーチャル試着プロセスを開始します。ソースファイル、参照ファイル(URL または ID)、性別、およびスタイルパラメータを指定する必要があります。タスクは非同期で処理され、このレスポンスで返される task_id を使用してステータスを確認できます。

セキュリティ
BearerAuthenticationV2
ボディapplication/json必須
Any of:
genderstring必須

画像内の人物の性別です。

Enum:"female""male"
例:"female"
stylestring

服装と背景のスタイルを制御します。

デフォルト:"random"
Enum:"random""style_french_elegance""style_light_luxury""style_cottagecore""style_modern_chic""style_bohemian"
例:"random"
src_file_urlstring必須

タスクを実行するファイルの URL。この URL は公開されている必要があります。

例:"https://example.com/selfie.jpg"
ref_file_urlstring必須

タスクを実行するための参照ファイルの URL。この URL は公開されている必要があります。

例:"https://example.com/accessory.jpg"
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/scarf \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "src_file_url": "https://example.com/selfie.jpg",
    "ref_file_url": "https://example.com/accessory.jpg",
    "gender": "female",
    "style": "random"
  }'

レスポンス

タスクの実行に成功しました

ボディapplication/json
statusinteger

レスポンスステータス

例:200
dataobject
レスポンス
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }